1. Docs
  2. API Reference
  3. Delete an audit-log export job

Delete an audit-log export job

DELETE/api/v1/audit-events/export/{id}

Deletes the rendered file from object storage (if any) and the job record. Idempotent against an already-swept object.

Authentication

Bearer TokenAuthorization Option A

JWT access token

API KeyX-API-Key Option B

API key for management-tier access

Path Parameters

idstring Required

Responses

Deletes the rendered file from object storage (if any) and the job record. Idempotent against an already-swept object.

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*
Request
curl -X DELETE "https://auth.canopy-io.com/api/v1/audit-events/export/value" \
  -H "X-API-Key: $CANOPY_API_KEY"
Response
HTTP/1.1 204 Deletes the rendered file from object storage (if any) and the job record. Idempotent against an already-swept object.

(empty body)
Related endpoints
GETQuery identity audit events
GETList recent audit-log export jobs
POSTCreate an identity audit-events export job (CSV / NDJSON)
GETGet an audit-log export job
GETGet an identity audit event with related events
Was this page helpful?

Tell us how we can improve this guide.